summaryrefslogtreecommitdiffstats
path: root/bin/misc-functions.sh
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2008-11-14 18:41:58 +0000
committerZac Medico <zmedico@gentoo.org>2008-11-14 18:41:58 +0000
commit57c4a04ed7ec806b2e5e29eb0c75d485fd1fc2ec (patch)
tree4ce8c504bfc5011abf52bd8ee2225a1aaf138658 /bin/misc-functions.sh
parent78eb3bdb6b7bf70d11afb808dae1099f62d45e58 (diff)
downloadportage-57c4a04ed7ec806b2e5e29eb0c75d485fd1fc2ec.tar.gz
portage-57c4a04ed7ec806b2e5e29eb0c75d485fd1fc2ec.tar.bz2
portage-57c4a04ed7ec806b2e5e29eb0c75d485fd1fc2ec.zip
In dyn_package(), use the 'assert' macro (from isolated-functions.sh) die if
PIPESTATUS array contains a non-zero exist status. (trunk r11907) svn path=/main/branches/2.1.6/; revision=11910
Diffstat (limited to 'bin/misc-functions.sh')
-rwxr-xr-xbin/misc-functions.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/misc-functions.sh b/bin/misc-functions.sh
index f2e41bed8..f1f705538 100755
--- a/bin/misc-functions.sh
+++ b/bin/misc-functions.sh
@@ -637,8 +637,8 @@ dyn_package() {
PORTAGE_BINPKG_TMPFILE="${PKGDIR}/${CATEGORY}/${PF}.tbz2"
mkdir -p "${PORTAGE_BINPKG_TMPFILE%/*}" || die "mkdir failed"
tar $tar_options -cf - $PORTAGE_BINPKG_TAR_OPTS -C "${D}" . | \
- bzip2 -f > "$PORTAGE_BINPKG_TMPFILE" || \
- die "Failed to create tarball"
+ bzip2 -f > "$PORTAGE_BINPKG_TMPFILE"
+ assert
PYTHONPATH=${PORTAGE_PYM_PATH}${PYTHONPATH:+:}${PYTHONPATH} \
python -c "from portage import xpak; t=xpak.tbz2('${PORTAGE_BINPKG_TMPFILE}'); t.recompose('${PORTAGE_BUILDDIR}/build-info')"
if [ $? -ne 0 ]; then